curl --request GET \
--url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/preTranslateSettings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/preTranslateSettings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/preTranslateSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"machineTranslationSettings": {
"confirmMatches": true,
"confirmMatchesThreshold": 0.5,
"lock100PercentMatches": true,
"lockMtThreshold": 50,
"lockPassedQualityEvaluation": true,
"machineTranslationBehavior": "APPLY_MT_ABOVE_THRESHOLD",
"mtForTMAbove100": true,
"mtQeMatchesInEditors": true,
"mtSuggestOnlyTmBelow": true,
"mtSuggestOnlyTmBelowThreshold": 0.505,
"qualityProfileUid": "<string>",
"useAltTransOnly": true,
"useMachineTranslation": true
},
"nonTranslatableSettings": {
"confirm100PercentMatches": true,
"lock100PercentMatches": true,
"nonTranslatablesInEditors": true,
"preTranslateNonTranslatables": true
},
"overwriteExistingTranslations": true,
"preTranslateOnJobCreation": true,
"pseudoTranslateSettings": {
"keyHashPrefixLen": 9,
"length": 1.05,
"prefix": "<string>",
"pseudoTranslateIntersperse": true,
"pseudoTranslateSubstitution": "<string>",
"replacement": "<string>",
"suffix": "<string>"
},
"repetitionsSettings": {
"autoPropagateRepetitions": true,
"autoPropagateToLockedRepetitions": true,
"confirmRepetitions": true,
"lockSubsequentRepetitions": true
},
"setJobStatusCompleted": true,
"setJobStatusCompletedWhenConfirmed": true,
"setProjectStatusCompleted": true,
"translationMemorySettings": {
"confirm100PercentMatches": true,
"confirm101PercentMatches": true,
"lock100PercentMatches": true,
"lock101PercentMatches": true,
"translationMemoryThreshold": 0.505,
"useTranslationMemory": true
}
}Get project pre-translate settings
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Response
OK
Pre-translate settings
Machine translation related settings
Show child attributes
Show child attributes
Non-translatables related settings
Show child attributes
Show child attributes
Overwrite existing translations in target segments. Default: false
Pre-translate & set job to completed: Pre-translate on job creation. Default: false
Pseudo translate related settings
Show child attributes
Show child attributes
Repetitions related settings
Show child attributes
Show child attributes
Pre-translate & set job to completed: Set job to completed once pre-translated. Default: false
Pre-translate & set job to completed when all segments confirmed: Set job to completed once pre-translated and all segments are confirmed. Default: false
Pre-translate & set job to completed: Set project to completed once all jobs pre-translated. Default: false
Translation memory related settings
Show child attributes
Show child attributes
Was this page helpful?